Search Order Payments
1 min
POST
https://api.upstartcommerce.com/v1/order/payments/search
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodySearchFilterQueryrequired
- querystringDescription
- filterobjectDescription
- pageinteger<int32>requiredDescriptionFormatint32
- pageSizeinteger<int32>requiredDescriptionFormatint32
- ordersSearchOrder[]Description
- propertystringrequired
- ascbooleanDefaulttrue
- returnEmptyFacetsbooleanDescriptionDefaultfalse
Responses
200
- PaymentSearchResponse
- objectSearchResponse
- pageintegerrequired
- pageSizeintegerrequired
- countintegerrequired
- facetCountsSearchFacetCounts
- propertiesobject[]required
- propertystringrequired
- propertyTypeSearchPropertyTyperequired
- countsSearchCount[]required
- valuestringrequired
- countintegerrequired
- rangesobject[]required
- propertystringrequired
- propertyTypeSearchPropertyTyperequired
- countsSearchCount[]required
- valuestringrequired
- countintegerrequired
- startstringrequired
- endstringrequired
- gapstringrequired
- queryIdstringrequired
- redirectsstring[]required
- object
- itemsPaymentSummary[]required
- orderIdstring<uuid>requiredDescriptionFormatuuid
- paymentIdstring<uuid>requiredDescriptionFormatuuid
- siteIdsstring[]required
- customerIdstring<uuid>requiredDescriptionFormatuuid
- amountnumberExampleDescription
- currencystringrequiredExampleDescription
- statestring<New | Refunded | RefundFailed | ProcessDisabled | Authorized | AuthorizationFailed | CaptureRequested | Captured | CaptureFailed | Reversed | ReverseFailed | Invalid>requiredExampleDescriptionAllowedNewRefundedRefundFailedProcessDisabledAuthorizedAuthorizationFailedCaptureRequestedCapturedCaptureFailedReversedReverseFailedInvalid
- execobjectrequiredDescription
- orderDatestring<date-time>requiredDescriptionFormatdate-time
- billingAddressAddressDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxbooleanrequiredDefaultfalse
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- shippingAddressAddressDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxbooleanrequiredDefaultfalse
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- internalInvoiceIdstringDescription
- captureDatestring<date-time>DescriptionFormatdate-time
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/order/payments/search \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"page": "",
"pageSize": "",
"orders": [
{
"property": "",
"asc": true
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"page": "",
"pageSize": "",
"orders": [
{
"property": "",
"asc": true
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/order/payments/search", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/order/payments/search")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"page": "",
"pageSize": "",
"orders": [
{
"property": "",
"asc": true
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/order/payments/search"
payload = json.dumps({
"page": "",
"pageSize": "",
"orders": [
{
"property": "",
"asc": True
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success-payments returned.
{
"page": 0,
"pageSize": 0,
"count": 0,
"facetCounts": {
"properties": [
{
"property": "",
"propertyType": "",
"counts": [
{
"value": "",
"count": 0
}
]
}
],
"ranges": [
{
"property": "",
"propertyType": "",
"counts": [
{
"value": "",
"count": 0
}
],
"start": "",
"end": "",
"gap": ""
}
]
},
"queryId": "",
"redirects": [
""
],
"items": [
{
"orderId": "",
"paymentId": "",
"siteIds": [
""
],
"customerId": "",
"amount": 500,
"currency": "USD",
"state": "Authorized",
"exec": {},
"orderDate": "",
"billingAddress": {
"street1": "",
"street2": "",
"city": "",
"county": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
},
"businessName": "",
"phoneNumber": ""
},
"shippingAddress": {
"street1": "",
"street2": "",
"city": "",
"county": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
},
"businessName": "",
"phoneNumber": ""
},
"internalInvoiceId": "",
"captureDate": ""
}
]
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}